function Coh = BoxCoherence(m1,m2)
h = fspecial('gaussian',[15 15],1); % gaussian weight with sigma=2
        % intensity image of m and s

        % numerator
        nu = filter2(h,m1.*conj(m2));
        % denominator
        de1 = filter2(h,abs(m1).^2);
        de2 = filter2(h,abs(m2).^2);
        Coh= abs(nu)./sqrt(de1.*de2);

end

